package com.dayou.service;
import com.dayou.entity.OrderFund;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.enums.MainBusinessEnum;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 订单应收款 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-14
 */
public interface IOrderFundService extends IService<OrderFund> {

        Page<OrderFund> selectPage(Page page,OrderFund orderFund);

        OrderFund detail(Long id);

        Boolean add(OrderFund orderFund);

        Boolean update(OrderFund orderFund);

        Boolean delete(Long id);

        BigDecimal residueNotAllotAmount(Long orderFundId);


        void updateRealAmount(Long orderFundId);

    void createOrderFundWhenOpeningOrder(Long id, String orderId, String name, MainBusinessEnum mainBusinessEnum);

        List<OrderFund> getAllOrderFund();
}
